Subject: FW: FVWM: WindowList questions

From: [email-masked] (Arya Behzad)
Date: Wed, 24 May 2000 11:39:02 -0700

Hi Dominik.

THanks again for your help below.  Just one problem...
WindowList (CurrentPage) works just fine
WindowList (xterm) also works fine

However,
WindowList (xterm, CurrentPage)
does not work (returns an empty list). Am I doing something wrong?

Also, where is the most uptodate man pages for these features.  The man
pages on the fvwm web site does not talk about these as I believe it is for
an older version of fvwm.

THanks again.

Arya

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> Dominik Vogt
> Sent: Thursday, April 20, 2000 7:51 AM
> To: Arya Behzad; fvwm
> Subject: Re: FVWM: WindowList questions
>
>
> On Thu, Apr 20, 2000 at 07:55:16AM -0700, Arya Behzad wrote:
> > Hi,
> >
> > I am new to the list and to fvwm..Great Window Manager!
> > I have looked around for the answer to the following questions but could
> > not find the answer anywhere.  So here are the questions:
> >
> > 1) Can the builtin function WindowList show the window list of windows
> > in the current page only? I know that there is no direct option for this
> > but is there any work arounds? Any plans to add such an option?
>
> Try
>
>   WindowList (CurrentPage)
>
> > 2) Is it possible for the  WindowList to show oinly windows associated
> > with a certain style only (so that I can make it show windows of a
> > certain application only, e.g. frame maker)?
>
> Yes:
>
>   WindowList (my_window_name)
>
> > 3) Can I make the result of WindowList such that certain listings have a
> > different style (eg color) than others (so that for example all xterms
> > can show up with a blue background, framemaker stuff with green, etc.).
>
> Yes.  The MenuStyle command controls the look of the window list.
> The WindowList menu uses the menustyle 'WindowList'.  This can be
> changed between two invocations.
>
> e.g.
>
>   AddToFunc WindowListXterms
>   + MenuStyle WindowList <whatever styles you like>
>   + WindowList (xterm, currentpage)
>
>   AddToFunc WindowListEmacs
>   + MenuStyle WindowList <styles>
>   + WindowList (emacs)
>
> Start the WindowList by calling the appropriate function.
>
> All this only works with the 2.3.x beta releases, though.
>
> Bye
>
> Dominik ^_^
>
> --
> Dominik Vogt, Agilent Technologies, Dept. BVS
> Herrenberger Str.130, 71034 Boeblingen, Germany
> phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
> --
> Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
> To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
> message to [email-masked].
> To report problems, send mail to [email-masked].
>

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].